## org.jfree.data.xy
Class AbstractXYZDataset

    java.lang.Object
      org.jfree.data.general.AbstractDataset
          org.jfree.data.general.AbstractSeriesDataset
              org.jfree.data.xy.AbstractXYDataset
                  org.jfree.data.xy.AbstractXYZDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, Dataset, SeriesChangeListener, SeriesDataset, XYDataset, XYZDataset

Direct Known Subclasses:
  DefaultContourDataset, DefaultXYZDataset, MatrixSeriesCollection

    public abstract class AbstractXYZDataset

extends AbstractXYDataset
implements XYZDataset

An base class that you can use to create new implementations of the `XYZDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`AbstractXYZDataset()`

Method Summary
`double` `getZValue(int series, int item)` Returns the z-value (as a double primitive) for an item within a series.

Methods inherited from class org.jfree.data.xy.AbstractXYDataset
`getDomainOrder, getXValue, getYValue`

Methods inherited from class org.jfree.data.general.AbstractSeriesDataset
`getSeriesCount, getSeriesKey, indexOf, seriesChanged`

Methods inherited from class org.jfree.data.general.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.xy.XYZDataset
`getZ`

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### AbstractXYZDataset

    public AbstractXYZDataset()

Method Detail

### getZValue

    public double getZValue(int series,
                            int item)

  Returns the z-value (as a double primitive) for an item within a series.

  Specified by:
    `getZValue` in interface `XYZDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The z-value.